import 'package:flutter/material.dart';
import 'package:material_color_generator/material_color_generator.dart';
import 'package:ozgurkon_app/screens/VideoPlayer.dart';
import 'package:ozgurkon_app/screens/HomePage.dart';
import 'package:get/get.dart';
import 'i18n.dart';

const ozgurkon_renk = const Color(0xffc03e24);

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: 'ÖzgürKon',
      theme: ThemeData(
        primarySwatch: generateMaterialColor(color: Color(0xffc03e24)),
      ),
      home: HomePage(),
      translations: Messages(),
      locale: Get.deviceLocale,
      fallbackLocale: Locale('en', 'US'),
      initialRoute: '/',
      getPages: [
        GetPage(
          name: '/',
          page: () => HomePage(),
        ),
        GetPage(
          name: '/video/:uuid',
          page: () => VideoView(),
        ),
      ],
    );
  }
}
