import 'package:about/about.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

String appName = "ÖzgürKon";
String version = "0.1.1";
String buildNumber = "4";

class MyAbout extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    final isIos = theme.platform == TargetPlatform.iOS ||
        theme.platform == TargetPlatform.macOS;

    Widget aboutPage = AboutPage(
      values: {
        'version': version,
        'buildNumber': buildNumber.toString(),
        'year': DateTime.now().year.toString(),
        'author': "Özgür Yazılım Derneği",
      },
      title: Text('about_app'.tr),
      applicationVersion: 'Version {{ version }}, build #{{ buildNumber }}',
      applicationDescription: Text(
        "app_description".tr,
        textAlign: TextAlign.justify,
      ),
      applicationIcon: Image.asset('assets/ozgurkon_disi.png'),
      applicationLegalese: 'Copyright © {{ year }} {{ author }}',
      children: <Widget>[
        MarkdownPageListTile(
          filename: 'README.md',
          title: Text('view_readme'.tr),
          icon: Icon(Icons.all_inclusive),
        ),
        MarkdownPageListTile(
          filename: 'CHANGELOG.md',
          title: Text('view_changelog'.tr),
          icon: Icon(Icons.view_list),
        ),
        MarkdownPageListTile(
          filename: 'LICENSE.md',
          title: Text('view_license'.tr),
          icon: Icon(Icons.description),
        ),
        MarkdownPageListTile(
          filename: 'CONTRIBUTORS.md',
          title: Text('contributors'.tr),
          icon: Icon(Icons.groups),
        ),
        LicensesPageListTile(
          title: Text('fs_licenses'.tr),
          icon: Icon(Icons.favorite),
        ),
      ],
    );

    if (isIos) {
      return CupertinoApp(
        title: 'about_app'.tr,
        home: aboutPage,
        theme: CupertinoThemeData(
          brightness: theme.brightness,
        ),
      );
    }

    return aboutPage;
  }
}
